<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstUserGroupPosition Method (IEdmUserMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr5 Interface : GetFirstUserGroupPosition Method (IEdmUserMgr5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the user groups in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstUserGroupPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstUserGroupPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstUserGroupPosition();

#### Return Value

IEdmPos5; position of the first user group in the enumeration

# Example

Get and Set Folder Permissions (VB.NET)
Get and Set Folder Permissions (C#)
Traverse Users and Groups in Vault (C#)
Traverse Users and Groups in Vault (VB.NET)

# Remarks

After calling this method, pass the returned position of the first user group to IEdmUserMgr5::GetNextUserGroup to get the first user group in this list. Then call IEdmUserMgr5::GetNextUserGroup repeatedly to get the rest of the user groups.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr5 Interface
IEdmUserMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2